YUM is an open-source command-line package-management utility for RPM-compatible Linux operating systems.

learn more… | top users | synonyms

3
votes
1answer
1k views

ERROR with rpm_check_debug vs depsolve

Transaction Summary ========================================================================================================================================================== Install 9 ...
3
votes
1answer
511 views

Errno 14 HTTP Error 401: Authorization Required Yum

So I am having an issue with my own yum repo. Here is the setup: I have basic auth on apache running on a RHEL 6.2 machine on EC2. It holds the yum repo for both a RHEL 6 machine and a RHEL 5 machine ...
3
votes
1answer
347 views

Is there a way to see if an rpm was installed manually or installed from a repo?

Title pretty much sums it up, but I'm looking for an rpm or yum command to see if an installed package was installed from the repos (if repo, which repo?), or manually.
2
votes
1answer
192 views

PHP 5.2.10 lost json and mcrypt - Parallels Small Business Panel v10.2.0_build102100709.06 os_CentOS 5

I updated my PHP from 5.1 to 5.2 a few months ago. Since then I noticed I don't have mcrypt. I tried everything I could too install it. Yum install...added to /etc/php.d/mcrypt.so etc. but nothing ...
1
vote
1answer
28 views

Create yum variable, that is the result of a command?

To clarify, I am looking on how to store a yum variable as the RESULT of a command. The command I use to get the OS version is irrelevant to me, I'm sure there are better ways of getting it than what ...
1
vote
1answer
199 views

Trying to install php-devel on AWS EC2 server to compile a PHP extension, but getting errors “httpd24 conflicts with httpd-2.2.27-1.3.amzn1.x86_64”

I'm trying to install php-devel on an AWS EC2 server so I can compile a PHP extension. But I get an conflits error. --> Processing Conflict: httpd24-2.4.10-1.59.amzn1.x86_64 conflicts httpd < ...
1
vote
1answer
101 views

Yum repo basic auth not working

So we've got this yum repo that is protected via basic auth. My yum.repo definition looks like this [custom-repo] name=Releases Repository ...
1
vote
1answer
244 views

How to register RH 6.5 in order to use yum (behind http proxy)

I registered my RH 6.5 machines using subscription-manager. Yum is not working. I'm behind http proxy so I added proxy=http://x.x.x.x:3128 into /etc/yum.conf. But still yum installations fail: yum ...
1
vote
1answer
121 views

Cannot install any package using yum

Whenever I try to install any package using yum i get the error as "Operation too slow. Less than 1 bytes/sec transfered the last 30 seconds" Can anyone tell me why is this happening to me? I have ...
1
vote
1answer
208 views

yum update fails to unpack archives for nodejs dependencies on centos 6.4

I run "yum update" on my CentOS 6.4, but the Node.js package and dependencies fail with multiple errors like this: Error unpacking rpm package nodejs-fstream-0.1.23-1.el6.noarch error: unpacking of ...
1
vote
1answer
379 views

Yum install libyaml has depsolving problems

Trying to get ruby up and running on a centos 5 box. yum install libyaml-devel Loaded plugins: fastestmirror Repository base is listed more than once in the configuration Repository updates is listed ...
1
vote
1answer
122 views

How do I make groupinstall work on XenServer 6.2?

I have a XenServer system that I'm wanting to add some extra packages to. The problem I have is that XenServer is based on a stripped down CentOS 5.6 installation and the command "yum grouplist" ...
2
votes
0answers
130 views

how to keep a rpm package during system upgrade?

I have a custom built rpm package which I installed manually (via rpm -Uvh / or yum localinstall). If I do an upgradee from CentOS5 to CentOS6 this package is removed and, because it missing in the ...
2
votes
0answers
1k views

Yum install on CentOS 6.2

I can't install any php extension Epel repository enabled Yum is updated yum repolist shows repo id repo name ...
1
vote
0answers
73 views

Enable the EPEL repository on AWS Elastic Beanstalk

I need to install some tools from the Extra Packages for Enterprise Linux repository (EPEL) that are not available in the default repositories of the Amazon Linux AMI. /etc/yum.repos.d/epel.repo ...
1
vote
0answers
576 views

How to install latest Tomcat7 using yum on AWS EC2?

I'd like to install the latest (7.0.53) Tomcat on an AWS EC2 instance running Amazon Linux. If I were to do "sudo yum install tomcat7 -y", I would only get version 7.0.47, as shown by " yum list ...
1
vote
0answers
273 views

Multilib version problems found when run the command “yum update”

On my VPS I run the command: yum update and I get this as a result: # yum update ... Setting up Update Process Resolving Dependencies --> Running transaction check ... ---> Package ...
1
vote
0answers
119 views

Oracle's JDK RPM doesn't provide “java”

I have the Oracle RPM for the Java 7 JDK installed on an Amazon EC2 instance. The Oracle RPMs for Java 7 JDK don't "provide" java nor jre. RPM reports that it provides the following: # rpm -q jdk ...
1
vote
0answers
108 views

How to downgrade OpenSSL on Amazon EC2

I'm using a version of the Amazon Linux AMI (v 2013.03) that comes with OpenSSL 1.0.1 installed as described here: http://aws.amazon.com/amazon-linux-ami/2013.03-release-notes/. I have an application ...
1
vote
0answers
89 views

Cannot install yum on CentOS 5.3, 64bits

I'm facing a problem with installing yum in CentOS (version 5.3, 64bits). My CentOS yum is not preinstalled, so I can't install other package that I need. I found out one article that show how to ...
1
vote
0answers
166 views

Cobbler import of RHEL6 DVD doesn't seem to create yum repo

I setup cobbler (2.4.0) and imported the RHEL6.4 DVD. It copies all of the packages over to /var/www/cobbler/ks_mirror/RHEL6.4-x86_64. It even runs createrepo and loads the metadata, etc. So you ...
1
vote
0answers
329 views

Yum History and History Undo in Centos 6

I have a Centos 6 server and I have upgraded several packages. I can, supposedly, downgrade them with yum history undo <packageName> but all I get is downgrade failed for every single package. ...
1
vote
0answers
424 views

gcc46 and no c compiler found on Amazon EC2

I've been trying to install Gearman on my EC2 instance, but when I try to ./configure gearmand, I get this: checking build system type... x86_64-unknown-linux-gnu checking host system type... ...
1
vote
0answers
74 views

Removed and then reinstalled php-common via yum. Now no virtual hosts?

Using yum I wanted to install the php-gdlibrary, however there was a dependency issue with php-common preventing me from installing php-gd. So after some digging I found this article on SO. I followed ...
1
vote
0answers
150 views

Performing yum update on an OpenVZ host

My company runs a handful of OpenVZ servers (HN) and hosts all the server as containers on these HNs. We have done some pentest and found out we have to do update the kernel on the HNs to resolve a ...
1
vote
0answers
90 views

Error when installing lighttpd

I have a server using lighttpd with the kloxo control panel, and some of the lighttpd files were missing the PHP configuration so I decided to reinstall lighttpd using Kloxo (this should regenerate ...
1
vote
0answers
1k views

Fixing problems with yum, urllib2, and missing dependencies?

I've been trying to resolve the following problem with yum / python's urllib2: [root@...]# yum Traceback (most recent call last): File "/usr/bin/yum", line 4, in ? import yum File ...
0
votes
0answers
25 views

Yum update coreutils failed

I got error update coreutils. Here is console log root@server70 [~]# yum update coreutils Loaded plugins: fastestmirror, refresh-packagekit, rhnplugin Loading mirror speeds from cached hostfile ...
0
votes
0answers
53 views

having problems updating yum on my centos 6.5 final system

[root@spanky ~]# yum update rpmdb: read: 0x7fff4032cbd0, 512: Input/output error rpmdb: /var/lib/rpm/Providename: Input/output error rpmdb: write: 0x12e1050, 4096: Bad file descriptor error: cannot ...
0
votes
0answers
26 views

Remove pgdg-centos92-9.2-6.noarch.rpm or enable for install PostgreSQL in CentOS 6.5

I'm trying to install PostgreSQL 9.2.6 in CentOS 6.5 and I doing as follow: Install PostgreSQL 9.2 repository rpm -Uvh ...
0
votes
0answers
32 views

Installing SOX on EC2 server?

I could use some help getting SOX installed on an EC2 server. My EC2 server is completely "vanilla" and is using the Amazon Linux AMI (3.4.37-40.44.amzn1.x86_64). Most of the SOX installation ...
0
votes
0answers
54 views

Server load spikes after yum update and Laravel installation

The Platform: Centos 6.3 PHP 5.4.30 Apache 2.2.15 mysql Ver 14.14 Distrib 5.5.37, for Linux (x86_64) using readline 5.1 4 CPUs 12 GB RAM 1TB Hard Disk Prefork Settings for Apache <IfModule ...
0
votes
0answers
106 views

Yum does not install specific RPM version with custom repo

We use RPMS for our packaging and yum to update our environments. We have an rpm package-5.1.1-3 installed in our production server and in our yum repository we have 2 newer versions such as ...
0
votes
0answers
145 views

How to Disable GPG checks per Channel in Spacewalk?

Is it possible to disable GPG checks on a per channel basis in Spacewalk? For patching of my servers, I've converted from using local yum repositories on the clients under /etc/yum.repos.d, to ...
0
votes
0answers
221 views

include(SoapClient.php): failed to open stream: No such file or directory

I have problems with yum, 1st one is when i run yum "commmand" 2nd time, example, yum search php or sudo yum install php-gd i get the error msg, rpmdb: Thread/process ...
0
votes
0answers
42 views

Artifactory not generating yum repo repomd.xml

I would like to host some RPMs on Artifactory and use them in yum. This is meant to be supported as per https://www.jfrog.com/confluence/display/RTF/Local+Repositories However, the "Auto-calculate ...
0
votes
0answers
110 views

yum update leads kernel error

When I do 'yum update', the following error is shown. Before running the suggested command, I shall better understand, what the cause is. Any advice? --> Finished Dependency Resolution Error: ...
0
votes
0answers
104 views

How to start hadoop on CentOS

I have installed hadoop using Yum on CentOS: yum install hadoop Now I want to start hadoop but cannot find the start-all.sh script mentioned on many blogs and wiki pages such as ...
0
votes
0answers
54 views

PHP upgrade always breaks session folder permissions

Every time I upgrade php (via yum upgrade) on my CentOS box, my /var/lib/session folder ownership becomes root:apache with 600 permissions. I use nginx as my web server. This breaks my site and ...
0
votes
0answers
199 views

Unable to install Phpmyadmin on Centos 5, missing dependency php-common

I keep getting this error when trying to install Phpmyadmin: Setting up Install Process Resolving Dependencies --> Running transaction check ---> Package phpMyAdmin.noarch 0:2.11.11.3-2.el5 set ...
0
votes
0answers
107 views

How can I view CentOS update RPM security metadata?

I'm interested in getting useful output from the commands on this page while using CentOS: http://www.cyberciti.biz/faq/redhat-fedora-centos-linux-yum-installs-security-updates/ By default, it seems ...
0
votes
0answers
119 views

how to install libwbxml2-utils and tnef

I need to install libwbxml2 for sync in group-office and tnef to view winmail.dat attachments in the email module. I'm running Centos 6.4 64bit with cpanel and PHP 5.4 I tried: root@server [~]# yum ...
0
votes
0answers
93 views

Uninstalled openssl-libs by accident, how do I reinstall it

I accidently uninstalled openssl-libs on a CentOS 6.4 server. I still have an active SSH terminal session open, but I can't wget to download the openssl rpm. Yum won't work either, requires openssl. ...
0
votes
0answers
40 views

What is Yum server branch?

Yum manual says: -b [stable|current|test|data-test|data-current], --branch=[stable|current|test|data-test|data-current], --br=[stable|current|test|data-test|data-current] ...
0
votes
0answers
64 views

Ordering RPM virtual packages

I have following packages, built by my RPM spec: libevent backend %package -n libfoo-libevent Summary: libevent backend for FOO Provides: libfoo-backend Requires: libevent >= 1.4 libev backend ...
0
votes
0answers
144 views

can not get required packages with yum

I wound like to install Tuleap - on Oracle Linux 6.4 [ebalbar@puding ~]$ yum repolist Loaded plugins: refresh-packagekit, security repo id repo name ...
0
votes
0answers
92 views

How can I install mcrypt on my server

I have tried to use yum but it didn't work. I am doong this to experiment with magento for a client and this is a dependency. All of my searches have started to get me more confused than anything. I ...
0
votes
0answers
630 views

Yum install packages to an alternate directory, without chroot?

I would like to use the Foswiki yum repository to install Foswiki (296 packages). The default installation path is /var/lib/, but I want to install it to an alternate location at /opt/www/. In the ...
0
votes
0answers
243 views

Reconfigure a yum package

I'm running an Amazon linux AMI and using sendmail as the mail server. By default, STARTTLS is disabled on this build and I'd like to enable it for SMTP and POP3. I seem to have it configured ...
0
votes
0answers
133 views

yum is taking forever with blocked mirrors

I have a proxy server which is heavily restricting sites, so just a few mirrors from the list are actually working. This means that installing with yum is taking forever because I get a lot of errors ...